Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXC1.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXC1.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXC1.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXC1 ; ;12/28/04
+DGPTXC1 ; ;04/07/05
  D DE G BEGIN
 DE S DIE="^DGPT(D0,""M"",",DIC=DIE,DP=45.02,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^DGPT(D0,"M",DA,""))=""
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXC2.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXC2.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXC2.m	(revision 636)
@@ -1,5 +1,5 @@
-DGPTXC2 ; ;12/28/04
+DGPTXC2 ; ;04/07/05
  ;;
-1 N X,X1,X2 S DIXR=432 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
+1 N X,X1,X2 S DIXR=447 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"DXLS")
@@ -15,5 +15,5 @@
  S X=$G(X(1))
  Q
-2 N X,X1,X2 S DIXR=433 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
+2 N X,X1,X2 S DIXR=448 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"PDX")
@@ -29,5 +29,5 @@
  S X=$G(X(1))
  Q
-3 N X,X1,X2 S DIXR=434 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
+3 N X,X1,X2 S DIXR=449 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD1")
@@ -43,5 +43,5 @@
  S X=$G(X(1))
  Q
-4 N X,X1,X2 S DIXR=435 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
+4 N X,X1,X2 S DIXR=450 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD2")
@@ -57,5 +57,5 @@
  S X=$G(X(1))
  Q
-5 N X,X1,X2 S DIXR=436 D X5(U) K X2 M X2=X D X5("F") K X1 M X1=X
+5 N X,X1,X2 S DIXR=451 D X5(U) K X2 M X2=X D X5("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD3")
@@ -71,5 +71,5 @@
  S X=$G(X(1))
  Q
-6 N X,X1,X2 S DIXR=437 D X6(U) K X2 M X2=X D X6("F") K X1 M X1=X
+6 N X,X1,X2 S DIXR=452 D X6(U) K X2 M X2=X D X6("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD4")
@@ -85,5 +85,5 @@
  S X=$G(X(1))
  Q
-7 N X,X1,X2 S DIXR=438 D X7(U) K X2 M X2=X D X7("F") K X1 M X1=X
+7 N X,X1,X2 S DIXR=453 D X7(U) K X2 M X2=X D X7("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD5")
@@ -99,5 +99,5 @@
  S X=$G(X(1))
  Q
-8 N X,X1,X2 S DIXR=439 D X8(U) K X2 M X2=X D X8("F") K X1 M X1=X
+8 N X,X1,X2 S DIXR=454 D X8(U) K X2 M X2=X D X8("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD6")
@@ -113,5 +113,5 @@
  S X=$G(X(1))
  Q
-9 N X,X1,X2 S DIXR=440 D X9(U) K X2 M X2=X D X9("F") K X1 M X1=X
+9 N X,X1,X2 S DIXR=455 D X9(U) K X2 M X2=X D X9("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD7")
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXC3.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXC3.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXC3.m	(revision 636)
@@ -1,5 +1,5 @@
-DGPTXC3 ; ;12/28/04
+DGPTXC3 ; ;04/07/05
  ;;
-1 N X,X1,X2 S DIXR=441 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
+1 N X,X1,X2 S DIXR=456 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD8")
@@ -15,5 +15,5 @@
  S X=$G(X(1))
  Q
-2 N X,X1,X2 S DIXR=442 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
+2 N X,X1,X2 S DIXR=457 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD9")
@@ -29,5 +29,5 @@
  S X=$G(X(1))
  Q
-3 N X,X1,X2 S DIXR=443 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
+3 N X,X1,X2 S DIXR=458 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD10")
@@ -43,5 +43,5 @@
  S X=$G(X(1))
  Q
-4 N X,X1,X2 S DIXR=444 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
+4 N X,X1,X2 S DIXR=459 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD11")
@@ -57,5 +57,5 @@
  S X=$G(X(1))
  Q
-5 N X,X1,X2 S DIXR=445 D X5(U) K X2 M X2=X D X5("F") K X1 M X1=X
+5 N X,X1,X2 S DIXR=460 D X5(U) K X2 M X2=X D X5("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD12")
@@ -71,5 +71,5 @@
  S X=$G(X(1))
  Q
-6 N X,X1,X2 S DIXR=446 D X6(U) K X2 M X2=X D X6("F") K X1 M X1=X
+6 N X,X1,X2 S DIXR=461 D X6(U) K X2 M X2=X D X6("F") K X1 M X1=X
  I $G(X(1))]"",$G(X(2))]"",$G(X(3))]"",$G(X(4))]"" D
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD13")
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX ; DRIVER FOR COMPILED XREFS FOR FILE #45 ; 12/12/07
+DGPTXX ; DRIVER FOR COMPILED XREFS FOR FILE #45 ; 12/27/07
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX1.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX1.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX1.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX1 ; COMPILED XREF FOR FILE #45 ; 12/12/07
+DGPTXX1 ; COMPILED XREF FOR FILE #45 ; 12/27/07
  ; 
  S DIKZK=2
@@ -98,5 +98,5 @@
  S X=$P(DIKZ(0),U,1)
  I X'="" K ^DGPT("B",$E(X,1,30),DA)
-CR1 S DIXR=432
+CR1 S DIXR=447
  K X
  S X(1)=$P(DIKZ(0),U,1)
@@ -111,5 +111,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"DXLS")
-CR2 S DIXR=433
+CR2 S DIXR=448
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -125,5 +125,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"PDX")
-CR3 S DIXR=434
+CR3 S DIXR=449
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -139,5 +139,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD1")
-CR4 S DIXR=435
+CR4 S DIXR=450
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -153,5 +153,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD2")
-CR5 S DIXR=436
+CR5 S DIXR=451
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -167,5 +167,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD3")
-CR6 S DIXR=437
+CR6 S DIXR=452
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -181,5 +181,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD4")
-CR7 S DIXR=438
+CR7 S DIXR=453
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -195,5 +195,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD5")
-CR8 S DIXR=439
+CR8 S DIXR=454
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -209,5 +209,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD6")
-CR9 S DIXR=440
+CR9 S DIXR=455
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -223,5 +223,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD7")
-CR10 S DIXR=441
+CR10 S DIXR=456
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -237,5 +237,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD8")
-CR11 S DIXR=442
+CR11 S DIXR=457
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -251,5 +251,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD9")
-CR12 S DIXR=443
+CR12 S DIXR=458
  K X
 END G ^DGPTXX2
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX10.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX10.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX10.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX10 ; COMPILED XREF FOR FILE #45.01 ; 12/12/07
+DGPTXX10 ; COMPILED XREF FOR FILE #45.01 ; 12/27/07
  ; 
  S DA(1)=DA S DA=0
@@ -18,5 +18,5 @@
  S X=$P(DIKZ(0),U,12)
  I X'="" S ^DGPT(DA(1),"S","AO",$E(X,1,30),DA)=""
-CR1 S DIXR=422
+CR1 S DIXR=437
  K X
  S X(1)=$P(DIKZ(0),U,1)
@@ -26,5 +26,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT0^DGPTDDCR(.X,.DA,"S",1)
-CR2 S DIXR=423
+CR2 S DIXR=438
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"S",DA,0))
@@ -35,5 +35,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT0^DGPTDDCR(.X,.DA,"S",2)
-CR3 S DIXR=424
+CR3 S DIXR=439
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"S",DA,0))
@@ -44,5 +44,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT0^DGPTDDCR(.X,.DA,"S",3)
-CR4 S DIXR=425
+CR4 S DIXR=440
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"S",DA,0))
@@ -53,5 +53,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT0^DGPTDDCR(.X,.DA,"S",4)
-CR5 S DIXR=426
+CR5 S DIXR=441
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"S",DA,0))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX11.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX11.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX11.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX11 ; COMPILED XREF FOR FILE #45.02 ; 12/12/07
+DGPTXX11 ; COMPILED XREF FOR FILE #45.02 ; 12/27/07
  ; 
  S DA=0
@@ -64,5 +64,5 @@
  S X=$P(DIKZ(0),U,15)
  I X'="" X ^DD(45.02,15,1,992,1)
-CR1 S DIXR=447
+CR1 S DIXR=462
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -73,5 +73,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9M^DGPTDDCR(.X,.DA,"M ICD1")
-CR2 S DIXR=448
+CR2 S DIXR=463
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -82,5 +82,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9M^DGPTDDCR(.X,.DA,"M ICD2")
-CR3 S DIXR=449
+CR3 S DIXR=464
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -91,5 +91,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9M^DGPTDDCR(.X,.DA,"M ICD3")
-CR4 S DIXR=450
+CR4 S DIXR=465
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -100,5 +100,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9M^DGPTDDCR(.X,.DA,"M ICD4")
-CR5 S DIXR=451
+CR5 S DIXR=466
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -109,5 +109,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9M^DGPTDDCR(.X,.DA,"M ICD5")
-CR6 S DIXR=452
+CR6 S DIXR=467
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -118,5 +118,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9M^DGPTDDCR(.X,.DA,"M ICD6")
-CR7 S DIXR=453
+CR7 S DIXR=468
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -127,5 +127,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9M^DGPTDDCR(.X,.DA,"M ICD7")
-CR8 S DIXR=454
+CR8 S DIXR=469
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -136,5 +136,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9M^DGPTDDCR(.X,.DA,"M ICD8")
-CR9 S DIXR=455
+CR9 S DIXR=470
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -145,5 +145,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9M^DGPTDDCR(.X,.DA,"M ICD9")
-CR10 S DIXR=456
+CR10 S DIXR=471
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX12.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX12.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX12.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX12 ; COMPILED XREF FOR FILE #45.05 ; 12/12/07
+DGPTXX12 ; COMPILED XREF FOR FILE #45.05 ; 12/27/07
  ; 
  S DA=0
@@ -18,5 +18,5 @@
  S X=$P(DIKZ(0),U,9)
  I X'="" S ^DGPT(DA(1),"P","AP6",$E(X,1,30),DA)=""
-CR1 S DIXR=427
+CR1 S DIXR=442
  K X
  S X(1)=$P(DIKZ(0),U,1)
@@ -26,5 +26,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT0^DGPTDDCR(.X,.DA,"P",1)
-CR2 S DIXR=428
+CR2 S DIXR=443
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"P",DA,0))
@@ -35,5 +35,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT0^DGPTDDCR(.X,.DA,"P",2)
-CR3 S DIXR=429
+CR3 S DIXR=444
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"P",DA,0))
@@ -44,5 +44,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT0^DGPTDDCR(.X,.DA,"P",3)
-CR4 S DIXR=430
+CR4 S DIXR=445
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"P",DA,0))
@@ -53,5 +53,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT0^DGPTDDCR(.X,.DA,"P",4)
-CR5 S DIXR=431
+CR5 S DIXR=446
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"P",DA,0))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX13.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX13.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX13.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX13 ; COMPILED XREF FOR FILE #45.0535 ; 12/12/07
+DGPTXX13 ; COMPILED XREF FOR FILE #45.0535 ; 12/27/07
  ; 
  S DA=0
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX14.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX14.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX14.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX14 ; COMPILED XREF FOR FILE #45.06 ; 12/12/07
+DGPTXX14 ; COMPILED XREF FOR FILE #45.06 ; 12/27/07
  ; 
  S DA=0
@@ -12,5 +12,5 @@
  S X=$P(DIKZ(0),U,6)
  I X'="" D ADD^AUPNVSIT
-CR1 S DIXR=624
+CR1 S DIXR=200
  K X
  S X(1)=$P(DIKZ(0),U,1)
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX2.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX2.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX2.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX2 ; COMPILED XREF FOR FILE #45 ; 12/12/07
+DGPTXX2 ; COMPILED XREF FOR FILE #45 ; 12/27/07
  ; 
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -14,5 +14,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD10")
-CR13 S DIXR=444
+CR13 S DIXR=459
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -29,5 +29,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD11")
-CR14 S DIXR=445
+CR14 S DIXR=460
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -44,5 +44,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2),X2(3),X2(4),X2(5))=""
  . D KDGPT9D^DGPTDDCR(.X,.DA,"D SD12")
-CR15 S DIXR=446
+CR15 S DIXR=461
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX3.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX3.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX3.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX3 ; COMPILED XREF FOR FILE #45.01 ; 12/12/07
+DGPTXX3 ; COMPILED XREF FOR FILE #45.01 ; 12/27/07
  ; 
  S DA(1)=DA S DA=0
@@ -18,5 +18,5 @@
  S X=$P(DIKZ(0),U,12)
  I X'="" K ^DGPT(DA(1),"S","AO",$E(X,1,30),DA)
-CR1 S DIXR=422
+CR1 S DIXR=437
  K X
  S X(1)=$P(DIKZ(0),U,1)
@@ -27,5 +27,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT0^DGPTDDCR(.X,.DA,"S",1)
-CR2 S DIXR=423
+CR2 S DIXR=438
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"S",DA,0))
@@ -37,5 +37,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT0^DGPTDDCR(.X,.DA,"S",2)
-CR3 S DIXR=424
+CR3 S DIXR=439
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"S",DA,0))
@@ -47,5 +47,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT0^DGPTDDCR(.X,.DA,"S",3)
-CR4 S DIXR=425
+CR4 S DIXR=440
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"S",DA,0))
@@ -57,5 +57,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT0^DGPTDDCR(.X,.DA,"S",4)
-CR5 S DIXR=426
+CR5 S DIXR=441
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"S",DA,0))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX4.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX4.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX4.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX4 ; COMPILED XREF FOR FILE #45.02 ; 12/12/07
+DGPTXX4 ; COMPILED XREF FOR FILE #45.02 ; 12/27/07
  ; 
  S DA=0
@@ -64,5 +64,5 @@
  S X=$P(DIKZ(0),U,15)
  I X'="" X ^DD(45.02,15,1,992,2)
-CR1 S DIXR=447
+CR1 S DIXR=462
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -74,5 +74,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD1")
-CR2 S DIXR=448
+CR2 S DIXR=463
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -84,5 +84,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD2")
-CR3 S DIXR=449
+CR3 S DIXR=464
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -94,5 +94,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD3")
-CR4 S DIXR=450
+CR4 S DIXR=465
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -104,5 +104,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD4")
-CR5 S DIXR=451
+CR5 S DIXR=466
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -114,5 +114,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD5")
-CR6 S DIXR=452
+CR6 S DIXR=467
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -124,5 +124,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD6")
-CR7 S DIXR=453
+CR7 S DIXR=468
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -134,5 +134,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD7")
-CR8 S DIXR=454
+CR8 S DIXR=469
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -144,5 +144,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD8")
-CR9 S DIXR=455
+CR9 S DIXR=470
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
@@ -154,5 +154,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT9M^DGPTDDCR(.X,.DA,"M ICD9")
-CR10 S DIXR=456
+CR10 S DIXR=471
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"M",DA,0))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX5.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX5.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX5.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX5 ; COMPILED XREF FOR FILE #45.05 ; 12/12/07
+DGPTXX5 ; COMPILED XREF FOR FILE #45.05 ; 12/27/07
  ; 
  S DA=0
@@ -18,5 +18,5 @@
  S X=$P(DIKZ(0),U,9)
  I X'="" K ^DGPT(DA(1),"P","AP6",$E(X,1,30),DA)
-CR1 S DIXR=427
+CR1 S DIXR=442
  K X
  S X(1)=$P(DIKZ(0),U,1)
@@ -27,5 +27,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT0^DGPTDDCR(.X,.DA,"P",1)
-CR2 S DIXR=428
+CR2 S DIXR=443
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"P",DA,0))
@@ -37,5 +37,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT0^DGPTDDCR(.X,.DA,"P",2)
-CR3 S DIXR=429
+CR3 S DIXR=444
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"P",DA,0))
@@ -47,5 +47,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT0^DGPTDDCR(.X,.DA,"P",3)
-CR4 S DIXR=430
+CR4 S DIXR=445
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"P",DA,0))
@@ -57,5 +57,5 @@
  . S:$D(DIKIL) (X2,X2(1),X2(2))=""
  . D KDGPT0^DGPTDDCR(.X,.DA,"P",4)
-CR5 S DIXR=431
+CR5 S DIXR=446
  K X
  S DIKZ(0)=$G(^DGPT(DA(1),"P",DA,0))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX6.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX6.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX6.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX6 ; COMPILED XREF FOR FILE #45.0535 ; 12/12/07
+DGPTXX6 ; COMPILED XREF FOR FILE #45.0535 ; 12/27/07
  ; 
  S DA=0
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX7.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX7.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX7.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX7 ; COMPILED XREF FOR FILE #45.06 ; 12/12/07
+DGPTXX7 ; COMPILED XREF FOR FILE #45.06 ; 12/27/07
  ; 
  S DA=0
@@ -12,5 +12,5 @@
  S X=$P(DIKZ(0),U,1)
  I X'="" K ^DGPT(DA(1),"C","B",$E(X,1,30),DA)
-CR1 S DIXR=624
+CR1 S DIXR=200
  K X
  S X(1)=$P(DIKZ(0),U,1)
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX8.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX8.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX8.m	(revision 636)
@@ -1,3 +1,3 @@
-DGPTXX8 ; COMPILED XREF FOR FILE #45 ; 12/12/07
+DGPTXX8 ; COMPILED XREF FOR FILE #45 ; 12/27/07
  ; 
  S DIKZK=1
@@ -92,5 +92,5 @@
  S X=$P(DIKZ(70),U,11)
  I X'="" X ^DD(45,80,1,992,1)
-CR1 S DIXR=432
+CR1 S DIXR=447
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -105,5 +105,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"DXLS")
-CR2 S DIXR=433
+CR2 S DIXR=448
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -118,5 +118,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"PDX")
-CR3 S DIXR=434
+CR3 S DIXR=449
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -131,5 +131,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD1")
-CR4 S DIXR=435
+CR4 S DIXR=450
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -144,5 +144,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD2")
-CR5 S DIXR=436
+CR5 S DIXR=451
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -157,5 +157,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD3")
-CR6 S DIXR=437
+CR6 S DIXR=452
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -170,5 +170,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD4")
-CR7 S DIXR=438
+CR7 S DIXR=453
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -183,5 +183,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD5")
-CR8 S DIXR=439
+CR8 S DIXR=454
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -196,5 +196,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD6")
-CR9 S DIXR=440
+CR9 S DIXR=455
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -209,5 +209,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD7")
-CR10 S DIXR=441
+CR10 S DIXR=456
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -222,5 +222,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD8")
-CR11 S DIXR=442
+CR11 S DIXR=457
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -235,5 +235,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD9")
-CR12 S DIXR=443
+CR12 S DIXR=458
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -249,5 +249,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD10")
-CR13 S DIXR=444
+CR13 S DIXR=459
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX9.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX9.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGPTXX9.m	(revision 636)
@@ -1,5 +1,5 @@
-DGPTXX9 ; COMPILED XREF FOR FILE #45 ; 12/12/07
+DGPTXX9 ; COMPILED XREF FOR FILE #45 ; 12/27/07
  ; 
-CR14 S DIXR=445
+CR14 S DIXR=460
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
@@ -15,5 +15,5 @@
  . K X1,X2 M X1=X,X2=X
  . D SDGPT9D^DGPTDDCR(.X,.DA,"D SD12")
-CR15 S DIXR=446
+CR15 S DIXR=461
  K X
  S DIKZ(0)=$G(^DGPT(DA,0))
Index: FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGREG.m
===================================================================
--- FOIAVistA/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGREG.m	(revision 631)
+++ FOIAVistA/tag/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGREG.m	(revision 636)
@@ -1,4 +1,12 @@
-DGREG ;ALB/JDS,MRL/PJR/PHH-REGISTER PATIENT ; 8/24/05 1:40pm
- ;;5.3;Registration;**1,32,108,147,149,182,245,250,513,425,533,574,563,624,658**;Aug 13, 1993
+DGREG ;ALB/JDS,MRL/PJR/PHH-REGISTER PATIENT ;1/27/07  13:08
+ ;;5.3;Registration;**1,32,108,147,149,182,245,250,513,425,533,574,563,624,658,634**;Aug 13, 1993;Build 28
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
 START ;
 EN D LO^DGUTL S DGCLPR=""
@@ -10,5 +18,32 @@
  I '$D(DGIO),$P(^DG(43,1,0),U,30) S %ZIS="N",IOP="HOME" D ^%ZIS I $D(IOS),IOS,$D(^%ZIS(1,+IOS,99)),$D(^%ZIS(1,+^(99),0)) S Y=$P(^(0),U,1) W !,"Using closest printer ",Y,! F I=10,"PRF","RT","HS" S DGIO(I)=Y
 A D ENDREG($G(DFN))
- W !! S DIC=2,DIC(0)="ALEQM",DLAYGO=2 K DIC("S"),DIC("B") D ^DIC K DLAYGO G Q1:Y<0 S (DFN,DA)=+Y,DGNEW=$P(Y,"^",3) N Y D PAUSE^DG10 D BEGINREG(DFN) I DGNEW D NEW^DGRP
+ ;
+ ; ** VOE change 1 of 4: DAOU/WCJ 2/1/2005,VA/CJS,WV/TOAD 1/5/2006 **
+ ;
+ ; if not VA agency code, add DIC("DR") to default some identifiers and
+ ; skip others also, improve readability
+ ;
+ ; before change:
+ ; W !! S DIC=2,DIC(0)="ALEQM",DLAYGO=2 K DIC("S"),DIC("B") D ^DIC K DLAYGO G Q1:Y<0 S (DFN,DA)=+Y,DGNEW=$P(Y,"^",3) N Y D PAUSE^DG10 D BEGINREG(DFN) I DGNEW D NEW^DGRP
+ ;
+ ; after change:
+ W !!
+ N Y,DGREGY S DGREGY=1 D  I DGREGY<0 G Q1
+ . N DIC S DIC=2 ; Patient file
+ . S DIC(0)="ALEQM" ; ask, laygo, echo, question, and multi-index
+ . N DLAYGO S DLAYGO=2 ; override file access by user: allow laygo
+ . I $G(DUZ("AG"))'="V" D  ;adjust identifiers asked for VOE
+ . . S DIC("DR")=".02;.03;994;.301///N;391///VISTA OFFICE EHR;1901///N;.09"
+ . ;
+ . D ^DIC ; Select Patient
+ . ;
+ . I Y<0 S DGREGY=-1 Q
+ . K DIC("DR")
+ . S (DFN,DA)=+Y
+ . S DGNEW=$P(Y,"^",3) ; new patient?
+ . N Y D PAUSE^DG10 ; prompt user before continuing
+ . D BEGINREG(DFN) ; lock patient record
+ ;
+ ; ** end of VOE change 1 **
  ;
  ;; ask to continue if patient died - DG*5.3*563 - pjr 10/12/04
@@ -18,10 +53,29 @@
  D CIRN
  ;
- I +$G(DGNEW) D
+ ; ** VOE change 2 of 4: DAOU/WCJ 2/1/2005,VA/CJS,WV/TOAD 1/5/2006 **
+ ;
+ I $G(DGNEW) D NEW^DGRP ; execute new patient DR string
+ ;
+ ; send CMOR query and display results only if VA agency code
+ ;
+ ; before change:
+ ; I +$G(DGNEW) D
+ ;
+ ; after change:
+ I $G(DGNEW),$G(DUZ("AG"))="V" D
+ . ;
+ . ; end of change
+ . ;
  . ; query CMOR for Patient Record Flag Assignments if NEW patient and
  . ; display results.
  . I $$PRFQRY^DGPFAPI(DFN) D DISPPRF^DGPFAPI(DFN)
  ;
- D ROMQRY
+ ; before change:
+ ; D ROMQRY
+ ;
+ ; after change:
+ I $G(DUZ("AG"))="V" D ROMQRY
+ ;
+ ; ** end of VOE change 2 **
  ;
  S (DGFC,CURR)=0
@@ -30,5 +84,17 @@
  D HINQ^DG10
  I $D(^DIC(195.4,1,"UP")) I ^("UP") D ADM^RTQ3
- D REG^IVMCQ($G(DFN))  ; send financial query  
+ ;
+ ; ** VOE change 3 of 4: DAOU/WCJ 2/1/2005,VA/CJS,WV/TOAD 1/5/2006 **
+ ;
+ ; send financial query only for VA agency code
+ ;
+ ; before change:
+ ; D REG^IVMCQ($G(DFN))  ; send financial query
+ ;
+ ; after change:
+ I $G(DUZ("AG"))="V" D REG^IVMCQ($G(DFN)) ; send financial query
+ ;
+ ; ** end of VOE change 3 **
+ ;
  G A1
  ;
@@ -62,4 +128,15 @@
  ;
  S DA=DFN1,DIE("NO^")="",DA(1)=DFN,DP=2.101,DR="1///"_$S(SEEN=2:2,CURR=1:1,1:0)_";Q;2"_$S(CURR=1:"///3",1:"")_";2.1;3//"_$S($P(^DG(43,1,"GL"),"^",2):"",1:"/")_$S($D(^DG(40.8,+$P(^DG(43,1,"GL"),"^",3),0)):$P(^(0),"^",1),1:"")_";4////"_DUZ
+ ;
+ ; ** VOE change 4 of 4: DAOU/JLG 2/7/2005,VA/CJS,WV/TOAD 1/5/2006 **
+ ;
+ ; for VOE or IHS agency codes, add the following:
+ ; force TYPE OF CARE with ALL OTHER
+ ;
+ I $G(DUZ("AG"))="E"!($G(DUZ("AG"))="I") D
+ . S DR="1///"_$S(SEEN=2:2,CURR=1:1,1:0)_";Q;2"_$S(CURR=1:"///3",1:"")_";2.1///5;3//"_$S($P(^DG(43,1,"GL"),"^",2):"",1:"/")_$S($D(^DG(40.8,+$P(^DG(43,1,"GL"),"^",3),0)):$P(^(0),"^",1),1:"")_";4////"_DUZ
+ ;
+ ; ** end of VOE change 4 **
+ ;
  D EL K DIC("A") N DGNDLOCK S DGNDLOCK=DIE_DFN1_")" L +@DGNDLOCK:2 G:'$T MSG D ^DIE L -@DGNDLOCK
  I $D(DTOUT) D  G Q
